# GraphicsMagick actually uses libtool to load its modules
%define	dont_remove_libtool_files 1

%define	Werror_cflags	%nil

%define	build_modules	1
%define	enable_jasper	1
%define	enable_graphwiz	1

%define	oname		GraphicsMagick
%define	major		3
%define	wand_major	2
%define	majorpp		12
%define	libname		%mklibname %{name} %{major}
%define	libnamepp	%mklibname %{name}++ %{majorpp}
%define	libwandname	%mklibname graphicsmagickwand %{wand_major}
%define	devname		%mklibname %{name} -d
%define	qlev		Q16

%define	__noautoprov '.*\.so$'

Summary:	An X application for displaying and manipulating images
Name:		graphicsmagick
Version:	1.3.28
Release:	1
License:	GPLv2+
Group:		Graphics
Url:		http://www.graphicsmagick.org/
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	chrpath
BuildRequires:	bzip2-devel
BuildRequires:	ghostscript-devel
BuildRequires:	jbigkit-devel
BuildRequires:	jpeg-devel
BuildRequires:	libtool-devel
BuildRequires:	libwmf-devel
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(lcms)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
# Disable it, because with 0.5.1 the build fails,
# until we will have at least 0.6.1
#BuildRequires:	pkgconfig(libwebp) >= 0.6.1
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(zlib)

%description
GraphicsMagick is the swiss army knife of image processing. It provides a
robust collection of tools and libraries which support reading, writing, and
manipulating an image in over 88 major formats including important formats
like DPX, GIF, JPEG, JPEG-2000, PNG, PDF, SVG, and TIFF.
GraphicsMagick supports huge images on systems that support large files, and
has been tested with gigapixel-size images.
GraphicsMagick can create new images on the fly, making it suitable for
building dynamic Web applications. GraphicsMagick may be used to resize,
rotate, sharpen, color reduce, or add special effects to an image and save the
result in the same or differing image format.
Image processing operations are available from the command line, as well as
through C, C++, Perl, or Windows COM programming interfaces.
Extensions are available from third-parties to support programming in Python,
Tcl, and Ruby. With some modification, language extensions for ImageMagick may
be used.

%files
%doc ChangeLog *.txt
%{_bindir}/gm
%dir %{_libdir}/GraphicsMagick-%{version}/config
%{_libdir}/GraphicsMagick-%{version}/config/*.mgk
%dir %{_datadir}/GraphicsMagick-%{version}/config
%{_datadir}/GraphicsMagick-%{version}/config/*.mgk
%if %{build_modules}
%dir %{_libdir}/%{oname}-%{version}/modules-%{qlev}
%{_libdir}/%{oname}-%{version}/modules-%{qlev}/filters
%dir %{_libdir}/%{oname}-%{version}/modules-%{qlev}/coders
%{_libdir}/%{oname}-%{version}/modules-%{qlev}/coders/*.so
%{_libdir}/%{oname}-%{version}/modules-%{qlev}/coders/*.la
%endif
%{_mandir}/man1/GraphicsMagick++-config.1.*
%{_mandir}/man1/GraphicsMagick-config.1.*
%{_mandir}/man1/GraphicsMagickWand-config.1.*
%{_mandir}/man1/gm.1.*
%{_mandir}/man4/miff.4.*
%{_mandir}/man5/quantize.5.*

#--------------------------------------------------------------

%package -n %{libname}
Summary:	%{oname} libraries
Group:		System/Libraries

%description -n %{libname}
This package contains a shared library for %{name}.

%files -n %{libname}
%doc Copyright.txt
%{_libdir}/libGraphicsMagick.so.%{major}*

#--------------------------------------------------------------

%package -n %{libnamepp}
Summary:	%{oname} libraries
Group:		System/Libraries
Conflicts:	%{_lib}graphicsmagick3 < 1.3.18-2

%description -n %{libnamepp}
This package contains a shared library for %{name}.

%files -n %{libnamepp}
%doc Copyright.txt
%{_libdir}/libGraphicsMagick++.so.%{majorpp}*

#--------------------------------------------------------------

%package -n %{libwandname}
Summary:	%{oname} libraries
Group:		System/Libraries

%description -n %{libwandname}
This package contains a shared library for %{name}.

%files -n %{libwandname}
%doc Copyright.txt
%{_libdir}/libGraphicsMagickWand.so.%{wand_major}*

#--------------------------------------------------------------

%package -n %{devname}
Summary:	Header files for %{oname} app development
Group:		Development/C
Provides:	%{name}-devel = %{EVRD}
Requires:	%{libname} = %{EVRD}
Requires:	%{libnamepp} = %{EVRD}
Requires:	%{libwandname} = %{EVRD}

%description -n %{devname}
This package contains the development files for %{name}.

%files -n %{devname}
%doc Copyright.txt NEWS.txt
%{_bindir}/GraphicsMagick++-config
%{_bindir}/GraphicsMagick-config
%{_bindir}/GraphicsMagickWand-config
%dir %{_includedir}/GraphicsMagick
%{_includedir}/GraphicsMagick/Magick++.h
%dir %{_includedir}/GraphicsMagick/magick
%{_includedir}/GraphicsMagick/magick/*.h
%dir %{_includedir}/GraphicsMagick/Magick++
%{_includedir}/GraphicsMagick/Magick++/*.h
%dir %{_includedir}/GraphicsMagick/wand
%{_includedir}/GraphicsMagick/wand/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#--------------------------------------------------------------

%package -n perl-Graphics-Magick
Summary:	Libraries and modules for access to %{oname} from perl
Group:		Development/Perl
Requires:	%{name} = %{version}
%if %{enable_graphwiz}
Requires:	graphviz
%endif

%description -n perl-Graphics-Magick
This is the %{oname} perl support package. It includes modules
and support files for access to %{oname} library from perl.

%files -n perl-Graphics-Magick
%doc Copyright.txt
%{_mandir}/man3*/*::*.3pm*
%{perl_vendorarch}/Graphics
%{perl_vendorarch}/auto

#--------------------------------------------------------------

%package doc
Summary:	Documentation for %{name}
Group:		Books/Other

%description doc
This package contains HTML/PDF documentation of %{name}.

%files doc
%{_datadir}/doc/GraphicsMagick

#--------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
#apply_patches


%build
%configure2_5x \
	--enable-fast-install \
	--without-dps \
	--with-quantum-depth=16 \
%if %{build_modules}
	--with-modules \
%else
	--without-modules \
%endif
	--enable-shared \
	--disable-static \
	--with-pic \
%if %{enable_jasper}
	--with-jp2 \
%else
	--without-jp2 \
%endif
	--without-webp \
	--with-perl \
	--with-perl-options="INSTALLDIRS=vendor"

%make
%make perl-build


%install
%makeinstall_std
%makeinstall_std -C PerlMagick

# remove unwanted files
rm -f %{buildroot}%{_datadir}/GraphicsMagick-%{version}/{ChangeLog,NEWS.txt}
rm -f %{buildroot}%{_libdir}/*.la

# fix rights and remove rpaths
chmod 755 %{buildroot}%{perl_vendorarch}/auto/Graphics/Magick/Magick.so
chrpath -d %{buildroot}%{perl_vendorarch}/auto/Graphics/Magick/Magick.so

%changelog

* Fri Mar 16 2018 Giovanni Mariani <mc2374@mclink.it> 1.3.28-1
- (6beb98b) Really remove P1-P10


